* {
    box-sizing: border-box;
}

html, body {
    margin: 0px;
    height: 100%;
}

p {
    font-family: "Rubik", sans-serif, serif;
}

.container {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.ribbon {
    display: flex;
    height: fit-content;
    padding: 15px;
    align-items: center;
}

.ribbon img {
    height: 50px;
    border-radius: 10px;
}

.ribbon p {
    font-family: "Rubik", sans-serif, serif;
    font-size: 24px;
    color: black;
    text-decoration: none;
    margin-left: 15px;
}

.ribbon a {
    font-family: "Rubik", sans-serif, serif;
    font-size: 24px;
    color: black;
    text-decoration: none;
    margin-left: 15px;
}

.profile {
    height: 50px;
    width: 50px;
    margin-right: 15px;
    border-radius: 50%;
    background-color: lightgray;
    background-image: url(../images/profile.png);
    background-size: cover;
}

.user {
    margin-left: auto;
    margin-right: 10px;
    font-family: "Rubik", sans-serif, serif;
    font-size: 8px;
    color: grey;
    text-decoration: none;
}

.ribbon a:hover {
    color: rgb(174, 1, 0)
}

.page {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.textcont {
    width: auto;
    height: fit-content;
    background-color: rgb(248, 248, 248);
    border: 1px solid rgba(240, 240, 240, 0.1);
    margin-left: 15px;
    margin-right: 15px;
    border-radius: 10px;
    padding: 5px;
}

.textcont p {
    text-align: center;
}

.holder {
    display: flex;
    height: 100%;
    flex-direction: row;
}

.grid {
    display: grid;
    grid-template-columns: 1fr 2fr;
    height: auto;
    width: 50%;
    margin: 15px;
    gap: 15px;
}

.grid a {
    padding: 10px;
    color: white;
    font-family: "Rubik";
    font-size: 24px;
    text-decoration: none;
    background-color: rgba(174, 1, 0, 0.75);
    border-radius: 15px;
}

.messages {
    width: 50%;
    height: 100%;
}

.footer {
    background-color: rgb(174, 1, 0);
    padding: 15px;
    margin-top: auto;
    text-align: center;
}

.footer p {
    font-size: 30px;
    color: white;
    margin: 0px;
    margin-bottom: 5px;
}

.footer a {
    font-size: 15px;
    color: white;
    text-decoration: none;
    font-family: "Rubik", sans-serif, serif;
}

@media (max-width: 768px){
    .holder {
        flex-direction: column;
    }
    .grid {
        grid-template-columns: 1fr;
        width: auto;
    }
    .grid a {
        min-height: 80px;
    }
    .ribbon {
        flex-wrap: wrap;
        justify-content: center;
    }
    .profile {
        width: 0px;
        height: 0px;
        margin: 0px;
    }
}

/* stuff */

.label {
    display: flex;
    font-family: "Rubik", sans-serif, serif;
    font-weight: bold;
    font-size: 20px;
    padding: 5px;
    border-radius: 7px;
    width: fit-content;
    height: auto;
    align-items: center;
}

.label > b {
    font-family: "Rubik", sans-serif, serif;
    font-weight: bold;
    color: white;
    font-size: 12px;
    margin-left: 4px;
    margin-right: 2px;
}